Name:				libraqm
Version:			0.1.1
Release:			1%{?dist}
License:			MIT
Summary:			Complex Textlayout Library
Summary(ar):		مكتبة رقم للنّصوص المركّبة
URL:				https://github.com/HOST-Oman/libraqm
Source:				https://github.com/HOST-Oman/libraqm/releases/download/v%{version}/raqm-%{version}.tar.gz

BuildRequires:		freetype-devel
BuildRequires:		harfbuzz-devel
BuildRequires:		fribidi-devel
BuildRequires:		gtk-doc

%package docs
Summary:			Libraqm Documentation
Summary(ar):		وثائق مكتبة رقم
BuildArch:			noarch

%package devel
Summary:			Complex Textlayout Library
Summary(ar):		مكتبة رقم للنّصوص المركّبة
Requires:			libraqm%{?_isa} = %{version}-%{release}

%description
Library that encapsulates the logic for complex
text layout and provides a convenient API.

%description -l ar
مكتبة تستخدم لتأطير النًصوص المركّبة، مقدمة
مدخلًا برمجيًا مريحًا.


%description devel
Library that encapsulates the logic for complex
text layout and provides a convenient API.

%description -l ar devel
مكتبة تستخدم لتأطير النًصوص المركّبة، مقدمة
مدخلًا برمجيًا مريحًا.

%description docs
This package contains documentation files for raqm.

%description -l ar docs
وثائق مكتبة رقم.

%prep
%setup -q -n raqm-%{version}
%configure --enable-gtk-doc

%build
make %{?_smp_mflags}

%check
export LC_ALL=en_US.UTF-8
make check

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.{la,a}

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/libraqm.so.*

%files devel
%license COPYING
%{_includedir}/raqm.h
%{_libdir}/libraqm.so
%{_libdir}/pkgconfig/raqm.pc

%files docs
%license COPYING
%doc AUTHORS NEWS README
%{_datadir}/gtk-doc/html/raqm

%changelog
* Sun May 1 2016 Mosaab Alzoubi <moceap@hotmail.com> - 0.1.1-1
- Updated to 0.1.1

* Mon Apr 25 2016 Mosaab Alzoubi <moceap@hotmail.com> - 0.1.0-3
- Use lib prefix in %%name
- Depends on same version -devel

* Sun Apr 24 2016 Mosaab Alzoubi <moceap@hotmail.com> - 0.1.0-2
- General revision

* Sat Apr 23 2016 Mosaab Alzoubi <moceap@hotmail.com> - 0.1.0-1
- Initial build
